package seller

type notifyParam struct {
	TradeNo       string `json:"out_trade_no"`
	TransactionId string `json:"transaction_id"`
	TradeState    string `json:"trade_state"`
	Payer         struct {
		Openid string `json:"openid"`
	} `json:"payer"`
}

type tradeRedis struct {
	Device string `json:"device"`
	Cell   uint8  `json:"cell"`
	Wine   uint16 `json:"wine"`
	Weight uint16 `json:"weight"`
	Cash   uint32 `json:"cash"`
}

type qrcodeParam struct {
	Id     uint16 `json:"id"`
	Cell   uint8  `json:"cell"`
	Weight uint16 `json:"weight"`
	Cash   int    `json:"cash"`
}

type authParam struct {
	Type string `json:"type"`
	Who  string `json:"who"`
	Code string `json:"code"`
}

type resultParam struct {
	Type   string `json:"type"`
	Who    string `json:"who"`
	Result bool   `json:"result"`
}

type finishParam struct {
	Type string `json:"type"`
	Who  string `json:"who"`
}
