package advertise

type queryParam struct {
	Desc  string `json:"desc"`
	Type  int    `json:"type"`
	Page  int    `json:"page"`
	Limit int    `json:"limit"`
}

type updateParam struct {
	Id       uint32 `json:"id"`
	Order    uint8  `json:"order"`
	Base64   string `json:"base64"`
	Type     bool   `json:"type"`
	Duration uint16 `json:"duration"`
	Describe string `json:"describe"`
}

type addParam struct {
	Order    uint8  `json:"order"`
	Base64   string `json:"base64"`
	Type     bool   `json:"type"`
	Duration uint16 `json:"duration"`
	Describe string `json:"describe"`
}
